/*包含n个用于间接更新状态的方法的对象模块*/
import {
    SAVE_USER,
    SAVE_BIGSCREEN,
    SAVE_SIGNALLIST,
    SAVE_DEVICE,
    UPDATE_POSITIONNUM,
    UPDATE_BIGSCREENOBJ,
    UPDATE_CURRENTSCREENID,
    UPDATE_LABELJSON,
    UPDATE_HOMEJSON
} from './mutation-types'

export default {

    // 保存用户
    saveUser({commit}, user) {
        commit(SAVE_USER, {user})
    },

    // 保存大屏数据
    saveBigscreen({commit}, bigScreenJson) {
        commit(SAVE_BIGSCREEN, {bigScreenJson})
    },

    // 保存信号源数据
    saveSignalList({commit}, signalListJson) {
        commit(SAVE_SIGNALLIST, {signalListJson})
    },

    // 保存设备数据
    saveDevice({commit}, deviceJson) {
        commit(SAVE_DEVICE, {deviceJson})
    },

    // 更新信号源在第几个栅格中
    updatePositionNum({commit}, positionNum) {
        commit(UPDATE_POSITIONNUM, {positionNum})
    },

    // 更新大屏对象
    updateBigscreenObj({commit}, obj) {
        commit(UPDATE_BIGSCREENOBJ, {obj})
    },

    // 更新当前操作大屏id
    updateCurBigscreenId({commit}, Id) {
        commit(UPDATE_CURRENTSCREENID, {Id})
    },

    // 更新labelJson
    updateLabelJson({commit}, labelJson) {
        commit(UPDATE_LABELJSON, {labelJson})
    },

    // 更新homejson
    updateHomeJson({commit}, homeJson) {
        commit(UPDATE_HOMEJSON, {homeJson})
    },
}





